Bug 215916 - odd library permissions, library not stripped
odd library permissions, library not stripped
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pwlib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 05:59 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 11:12:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix library permissions in generated makefile (1.58 KB, patch)
2006-11-17 10:39 EST, Daniel Veillard
no flags Details | Diff

  None (edit)
Description Joe Orton 2006-11-16 05:59:37 EST
pwlib-1.10.1-6.fc6.i386

-r--r--r-- 1 root root 7546144 Aug 14 19:40 /usr/lib/libpt_linux_x86_r.so.1.10.1

shared library permissions should be 0755, this is 0644.

installing it without +w prevents the library being automatically stripped of
debugging symbols which means ~5Mb of unnecessary stuff is being packaged; this
is really bad.
Comment 1 Daniel Veillard 2006-11-17 10:38:07 EST
Okidoc I have a patch available, seems to fix it:

before:

paphio:~/pkgs/pwlib/RHEL-5 -> ls -l
/u/veillard/rpms/RPMS/i386/pwlib-1.10.1-6.i386.rpm
/u/veillard/rpms/RPMS/i386/pwlib-devel-1.10.1-6.i386.rpm
/u/veillard/rpms/RPMS/i386/pwlib-debuginfo-1.10.1-6.i386.rpm
-rw-rw-r-- 1 veillard vcsa 2612709 Nov 17 16:31
/u/veillard/rpms/RPMS/i386/pwlib-1.10.1-6.i386.rpm
-rw-rw-r-- 1 veillard vcsa  506932 Nov 17 16:31
/u/veillard/rpms/RPMS/i386/pwlib-debuginfo-1.10.1-6.i386.rpm
-rw-rw-r-- 1 veillard vcsa  435169 Nov 17 16:31
/u/veillard/rpms/RPMS/i386/pwlib-devel-1.10.1-6.i386.rpm
paphio:~/pkgs/pwlib/RHEL-5 -> 

after:

paphio:~/pkgs/pwlib/RHEL-5 -> ls -l 
/u/veillard/rpms/RPMS/i386/pwlib-1.10.1-7.i386.rpm
/u/veillard/rpms/RPMS/i386/pwlib-devel-1.10.1-7.i386.rpm
/u/veillard/rpms/RPMS/i386/pwlib-debuginfo-1.10.1-7.i386.rpm
-rw-rw-r-- 1 veillard vcsa  840795 Nov 17 16:34
/u/veillard/rpms/RPMS/i386/pwlib-1.10.1-7.i386.rpm
-rw-rw-r-- 1 veillard vcsa 2815859 Nov 17 16:34
/u/veillard/rpms/RPMS/i386/pwlib-debuginfo-1.10.1-7.i386.rpm
-rw-rw-r-- 1 veillard vcsa  435047 Nov 17 16:34
/u/veillard/rpms/RPMS/i386/pwlib-devel-1.10.1-7.i386.rpm
paphio:~/pkgs/pwlib/RHEL-5 -> 

  so the debug information data moved to the -debuginfo, as expected.

Daniel
Comment 2 Daniel Veillard 2006-11-17 10:39:24 EST
Created attachment 141484 [details]
patch to fix library permissions in generated makefile
Comment 3 Daniel Veillard 2006-11-17 11:12:01 EST
Should be fixed in pwlib-1_10_2-3_fc7,

  thanks,

Daniel

Note You need to log in before you can comment on or make changes to this bug.